using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("Outbound_View")]
    class Segmentise
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]

        public long ViewID { get; set; }
        public int JenisKempenID { get; set; }
        [Required]
        [StringLength(255)]
        public string ViewName { get; set; }
        public bool? IsDashboardOption { get; set; }
        public bool? IsSystemView { get; set; }
        public string CreatedBy { get; set; }
        [Column(TypeName = "datetime2")]
        public DateTime? CreatedDateTime { get; set; }
        public string LastUpdatedBy { get; set; }
        [Column(TypeName = "datetime2")]
        public DateTime? LastCreatedDateTime { get; set; }

    }
}
